import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const labrxtemplatescalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => LabRxTemplateScalarWhereInputObjectSchema), z.lazy(() => LabRxTemplateScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => LabRxTemplateScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => LabRxTemplateScalarWhereInputObjectSchema), z.lazy(() => LabRxTemplateScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  name: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  labName: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  labPhone: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  labFax: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  labAddress: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  labAccount: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  caseType: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  material: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  instructions: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  sortOrder: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  updatedAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const LabRxTemplateScalarWhereInputObjectSchema: z.ZodType<Prisma.LabRxTemplateScalarWhereInput> = labrxtemplatescalarwhereinputSchema as unknown as z.ZodType<Prisma.LabRxTemplateScalarWhereInput>;
export const LabRxTemplateScalarWhereInputObjectZodSchema = labrxtemplatescalarwhereinputSchema;
